Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required

The Developer ID of the project to update

Minimum string length: 1

Body

application/json
name
string

The new name of the project

Minimum string length: 1
baseId
string | null

The Developer ID of the base to connect the project to, or provide null to disconnect from its current base.

Minimum string length: 1
newDeveloperId
string

The new Developer ID of the project

Minimum string length: 1

Response

Returns the developer ID and name of the updated project, as well as the developer ID of the connected base (or null).

id
string
required

The Developer ID of the project

name
string
required

The name of the project

baseId
string | null
required

The Developer ID of the base the project is connected to, or null if not connected to a base